import { ComponentFixture, TestBed } from '@angular/core/testing';

import { OperatorLogoComponent } from './operator-logo.component';
import { LocalizationService } from '@shared/services';

describe('OperatorLogoComponent', () => {
    let component: OperatorLogoComponent;
    let fixture: ComponentFixture<OperatorLogoComponent>;
    let localization: LocalizationService;

    beforeEach(async () => {
        await TestBed.configureTestingModule({
            declarations: [OperatorLogoComponent],
            providers: [{ provide: LocalizationService, useFactory: () => localization }]
        }).compileComponents();
    });

    beforeEach(() => {
        fixture = TestBed.createComponent(OperatorLogoComponent);
        component = fixture.componentInstance;
        fixture.detectChanges();
    });

    it('should create', () => {
        expect(component).toBeTruthy();
    });
});
